version: '3.6'
services:
  pricechecker:
    hostname: pricechecker
    image: ${DOCKER_REGISTRY:-dockerregistry.artix.su:2443}/artix-pricechecker:${TAG:-latest}
    restart: always
    network_mode: host
    #cgroup: host
    environment:
      - SET_TIMEZONE=${SET_TIMEZONE:-UTC}
      - LANG=${LANG:-ru_RU.UTF-8}
      - LC_ALL=${LC_ALL:-ru_RU.UTF-8}
      - LOG_LEVEL=${LOG_LEVEL:-info}
      - LOG_FILE=${LOG_FILE:-main.log}
    volumes:
      - ./data:/usr/local/tomcat/data
      - ./logs:/usr/local/tomcat/logs
      - /var/run/docker.sock:/var/run/docker.sock